/* Layout */
import Layout from '@/layout'
export default [
  {
    path: '/task',
    name: 'task',
    component: Layout,
    hidden: true,
    meta: {
      title: '任务设置'
    },
    children: [
      {
        path: 'new',
        component: () => import('@/views/task/new/index'),
        name: 'new',
        meta: { title: '发起新任务', activeMenu: '/task/new' }
      },
      {
        path: 'on',
        component: () => import('@/views/task/on/index'),
        name: 'on',
        meta: { title: '当前任务', activeMenu: '/task/on' }
      },
      {
        path: 'archived',
        component: () => import('@/views/task/archived/index'),
        name: 'archived',
        meta: { title: '已归档任务', activeMenu: '/task/archived' }
      },
      {
        path: '任务详情',
        component: () => import('@/views/task/detail/index'),
        name: '任务详情',
        meta: { title: '已归档任务', activeMenu: '/task/detail' }
      },
      {
        path: 'edit',
        component: () => import('@/views/task/edit/index'),
        name: 'edit',
        meta: { title: '任务编辑', activeMenu: '/task/edit' }
      },
      {
        path: 'task-detail',
        component: () => import('@/views/task/task-detail/index'),
        name: 'task-detail',
        meta: { title: '任务详情', activeMenu: '/task/task-detail' }
      }
    ]
  }
]
